apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From minf...@apache.org
Subject svn commit: r111873 - /apr/apr-util/branches/0.9.x/build/pkg /apr/apr-util/branches/0.9.x/build/pkg/README /apr/apr-util/branches/0.9.x/build/pkg/buildpkg.sh /apr/apr-util/branches/0.9.x/build/pkg/pkginfo.in /apr/apr-util/branches/0.9.x/configure.in
Date Tue, 14 Dec 2004 20:46:48 GMT
Author: minfrin
Date: Tue Dec 14 12:46:48 2004
New Revision: 111873

URL: http://svn.apache.org/viewcvs?view=rev&rev=111873
Log:
Add a script to build Solaris packages of APR-util.

Added:
   apr/apr-util/branches/0.9.x/build/pkg/   (props changed)
   apr/apr-util/branches/0.9.x/build/pkg/README
   apr/apr-util/branches/0.9.x/build/pkg/buildpkg.sh   (contents, props changed)
   apr/apr-util/branches/0.9.x/build/pkg/pkginfo.in
Modified:
   apr/apr-util/branches/0.9.x/configure.in

Added: apr/apr-util/branches/0.9.x/build/pkg/README
Url: http://svn.apache.org/viewcvs/apr/apr-util/branches/0.9.x/build/pkg/README?view=auto&rev=111873
==============================================================================
--- (empty file)
+++ apr/apr-util/branches/0.9.x/build/pkg/README	Tue Dec 14 12:46:48 2004
@@ -0,0 +1,17 @@
+The script in this directory will attempt to build a Solaris package
+out of a source tree for APR.
+
+To build a package, make sure you are in the root of the source tree,
+and run:
+
+build/pkg/buildpkg.sh
+
+A Solaris package called apr-util-<version>-<architecture>-local.gz will be
+created in the root of the source tree.
+
+By default, if you attempt to build packages for apr-util, it will
+search for the sources for apr in:
+
+../apr
+
+

Added: apr/apr-util/branches/0.9.x/build/pkg/buildpkg.sh
Url: http://svn.apache.org/viewcvs/apr/apr-util/branches/0.9.x/build/pkg/buildpkg.sh?view=auto&rev=111873
==============================================================================
--- (empty file)
+++ apr/apr-util/branches/0.9.x/build/pkg/buildpkg.sh	Tue Dec 14 12:46:48 2004
@@ -0,0 +1,84 @@
+#!/bin/sh
+# Copyright 2000-2004 The Apache Software Foundation
+# 
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#
+
+# buildpkg.sh: This script builds a Solaris PKG from the source tree
+#              provided.
+
+PREFIX=/usr/local
+TEMPDIR=/var/tmp/$USER/apr-util-root
+rm -rf $TEMPDIR
+
+apr_util_src_dir=.
+apr_src_dir=../apr
+
+while test $# -gt 0 
+do
+  # Normalize
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case "$1" in
+  --with-apr=*)
+  apr_src_dir=$optarg
+  ;;
+  esac
+
+  case "$1" in
+  --with-apr-util=*)
+  apr_util_src_dir=$optarg
+  ;;
+  esac
+
+  shift
+done
+
+if [ -f "$apr_util_src_dir/configure.in" ]; then
+  cd $apr_util_src_dir
+else
+  echo "The apr-util source could not be found within $apr_util_src_dir"
+  echo "Usage: buildpkg [--with-apr=dir] [--with-apr-util=dir]"
+  exit 1
+fi
+
+if [ ! -f "$apr_src_dir/configure.in" ]; then
+  echo "The apr source could not be found within $apr_src_dir"
+  echo "Usage: buildpkg [--with-apr=dir] [--with-apr-util=dir]"
+  exit 1
+fi
+
+./configure --prefix=$PREFIX --with-apr=$apr_src_dir \
+            --with-ldap
+make
+make install DESTDIR=$TEMPDIR
+. build/pkg/pkginfo
+cp build/pkg/pkginfo $TEMPDIR$PREFIX
+
+current=`pwd`
+cd $TEMPDIR$PREFIX
+echo "i pkginfo=./pkginfo" > prototype
+find . -print | grep -v ./prototype | grep -v ./pkginfo | pkgproto | awk '{print $1" "$2"
"$3" "$4" root bin"}' >> prototype
+mkdir $TEMPDIR/pkg
+pkgmk -r $TEMPDIR$PREFIX -d $TEMPDIR/pkg
+
+cd $current
+pkgtrans -s $TEMPDIR/pkg $current/$NAME-$VERSION-$ARCH-local
+gzip $current/$NAME-$VERSION-$ARCH-local
+
+rm -rf $TEMPDIR
+

Added: apr/apr-util/branches/0.9.x/build/pkg/pkginfo.in
Url: http://svn.apache.org/viewcvs/apr/apr-util/branches/0.9.x/build/pkg/pkginfo.in?view=auto&rev=111873
==============================================================================
--- (empty file)
+++ apr/apr-util/branches/0.9.x/build/pkg/pkginfo.in	Tue Dec 14 12:46:48 2004
@@ -0,0 +1,11 @@
+PKG="ASFapr-util"
+NAME="apr-util"
+ARCH="@target_cpu@"
+VERSION="@APRUTIL_DOTTED_VERSION@"
+CATEGORY="application"
+VENDOR="Apache Software Foundation"
+EMAIL="dev@apr.apache.org"
+PSTAMP="dev@apr.apache.org"
+BASEDIR="@prefix@"
+CLASSES="none"
+

Modified: apr/apr-util/branches/0.9.x/configure.in
Url: http://svn.apache.org/viewcvs/apr/apr-util/branches/0.9.x/configure.in?view=diff&rev=111873&p1=apr/apr-util/branches/0.9.x/configure.in&r1=111872&p2=apr/apr-util/branches/0.9.x/configure.in&r2=111873
==============================================================================
--- apr/apr-util/branches/0.9.x/configure.in	(original)
+++ apr/apr-util/branches/0.9.x/configure.in	Tue Dec 14 12:46:48 2004
@@ -196,6 +196,7 @@
 AC_OUTPUT([
     export_vars.sh
     apu-config
+    build/pkg/pkginfo
     include/private/apu_select_dbm.h
     include/apr_ldap.h
     include/apu.h

Mime
View raw message